<template>
  <div class="card">
    <div class="card-body">
      <h4
        class="card-title"
        :class="$i18n.locale == 'ar' ? 'font-size-15' : ''"
      >
        {{ labelDate }}
      </h4>
      <div class="col-md-12" style="padding: 0">
        <input
          id="date"
          class="form-control"
          type="date"
          v-model="row.date"
          v-on:change="onInputChange"
        />
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "CardDate",
  props: ["labelDate", "date"],
  data() {
    return {
      row: {
        date: this.$props.date,
      },
    };
  },
  methods: {
    onInputChange() {
      const data = {
        date: this.row.date,
      };
      this.$emit("dateChange", data);
    },
  },
};
</script>
